using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ZoomMirror : MonoBehaviour
{
    public Camera mirrorCamera;
    public float zoomFactor = 2f;
    public bool zoomed = false;
    private float originalFov;


    // Start is called before the first frame update
    void Start()
    {
        if (mirrorCamera == null)
        {
            mirrorCamera = GetComponentInChildren<Camera>();
        }

        originalFov = mirrorCamera.fieldOfView;
    }

    // Update is called once per frame
    void Update()
    {
        if (zoomed)
        {
            mirrorCamera.fieldOfView = originalFov / zoomFactor;
        }
        else
        {
            mirrorCamera.fieldOfView = originalFov;
        }

    }

    public void ToggleZoom()
    {
        zoomed = !zoomed;
    }
}
